Package bitel.billing.server.script.bean

# Class Function

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.script.common.bean.Script
bitel.billing.server.script.bean.Function

All Implemented Interfaces:
  `java.io.Serializable`, `GuiTitlable`, `Idable`, `ListItem`

    public class Function
    extends Script

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Function()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.util.List<java.lang.String>` | `getEventTypeIdList()` |
  `int` | `getScriptId()` |
  `int` | `getType()` |
  `void` | `setEventTypeIdList​(java.util.List<java.lang.String> eventTypeIdList)` |
  `void` | `setScriptId​(int scriptId)` |
  `void` | `setType​(int type)` |
  `java.lang.String` | `toString()` |

  ### Methods inherited from class ru.bitel.bgbilling.kernel.script.common.bean.Script

  `getRevision, getScript, getTimeRevision, getUserId, setRevision, setScript, setTimeRevision, setUserId`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### Function

    public Function()

- ## Method Details

  - ### setScriptId

    public void setScriptId​(int scriptId)

  - ### setType

    public void setType​(int type)

  - ### setEventTypeIdList

    public void setEventTypeIdList​(java.util.List<java.lang.String> eventTypeIdList)

  - ### getScriptId

    public int getScriptId()

  - ### getType

    public int getType()

  - ### getEventTypeIdList

    public java.util.List<java.lang.String> getEventTypeIdList()

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `IdTitle`